package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@Table(name = "ncs_app_version")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class AppVersionDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * 科室Id
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "科室Id", required = false)
    private Integer partId;
    /**
     * 版本号
     */
    @Column(name = "version_no")
    @ApiModelProperty(value = "版本号", required = false)
    private Integer versionNo;
    /**
     * 版本信息
     */
    @Column(name = "version_code")
    @ApiModelProperty(value = "版本信息", required = false)
    private String versionCode;
    /**
     * 安装文件路径
     */
    @Column(name = "app_path")
    @ApiModelProperty(value = "安装文件路径", required = false)
    private String appPath;

    /**
     * 适用设备类型
     */
    @Column(name = "device_type")
    @ApiModelProperty(value = "适用设备类型（1：护士主机，2：医生主机，3：门口机，4：病床分机）", required = false)
    private Integer deviceType;



    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public Integer getVersionNo() {
        return versionNo;
    }

    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }


    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }


    public String getAppPath() {
        return appPath;
    }

    public void setAppPath(String appPath) {
        this.appPath = appPath;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }
}
